=head1 NAME

Gtk2::Gdk::PixbufAnimation

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Gdk::PixbufAnimation



=cut


=head1 METHODS

=head2 pixbufanimation = Gtk2::Gdk::PixbufAnimation-E<gt>B<new_from_file> ($filename)

=over

=item * $filename (localized file name) 

=back



May croak with a L<Glib::Error> in $@ on failure.

=head2 integer = $animation-E<gt>B<get_height> 

=head2 boolean = $animation-E<gt>B<is_static_image> 

=head2 pixbufanimationiter = $animation-E<gt>B<get_iter> ($start_time_seconds=0, $start_time_microseconds=0)

=over

=item * $start_time_seconds (integer) 

=item * $start_time_microseconds (integer) 

=back


The seconds and microseconds values are available from Time::HiRes, which is
standard since perl 5.8.0.  If both are undef or omitted, the function uses the
current time.


=head2 pixbuf = $animation-E<gt>B<get_static_image> 

=head2 integer = $animation-E<gt>B<get_width> 



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

